ConfettiDocs
Public APISurveys

Get a survey

GET/v1/cfti/{surveyId}

Fetch a published survey's questions and configuration by ID. Requires the team's publishable key.

Authorization

ApiKeyAuth
x-cfti-pk<token>

Your team's publishable key, found on the Setup page in Confetti.

In: header

Path Parameters

surveyId*string

Response Body

application/json

curl -X GET "https://example.com/v1/cfti/123"
{  "title": "string",  "description": "string",  "questions": [    {      "id": "string",      "title": "string",      "description": "string",      "position": 0,      "required": true,      "properties": {        "type": "rating",        "buttonLabel": "string",        "shouldAutoProgress": true,        "scale": 0,        "labels": {          "lower": "string",          "upper": "string"        },        "display": "string"      },      "routingLogic": {        "type": "always",        "target": {          "type": "next"        }      }    }  ],  "confirmation": {    "title": "string",    "description": "string",    "buttonText": "string"  }}